Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui
Class EditorsManager

    java.lang.Object
      ru.biosoft.gui.EditorsManager

All Implemented Interfaces:
  java.util.EventListener, com.beanexplorer.undo.TransactionListener, ViewPart

public class EditorsManager
extends java.lang.Object
implements ViewPart

Nested Class Summary
`protected static class` | `EditorsManager.EditorInfo`

Field Summary
`protected javax.swing.Action` | `action`
`protected com.beanexplorer.beans.DynamicPropertySetSupport` | `editors`
`protected java.util.HashMap` | `editorsInfo`
`boolean` | `hideInappropriateTabs`
`protected com.beanexplorer.swing.PropertyInspector` | `propertyInspector`
`protected EditorsTabbedPane` | `tabbedPane`
`protected java.util.ArrayList` | `views`

Fields inherited from interface ru.biosoft.gui.ViewPart
`DEFAULT_PRIORITY, PRIORITY, STATIC_VIEW`

Constructor Summary
`EditorsManager(EditorsTabbedPane tabbedPane)`

Method Summary
`protected void` | `addDynamicProperty(int index, ViewPart viewPart)`
`boolean` | `addEdit(javax.swing.undo.UndoableEdit ue)`
`void` | `addViewPart(ViewPart viewPart)`
`boolean` | `canExplore(java.lang.Object model)`
`void` | `completeTransaction()`
`void` | `explore(java.lang.Object model, Document document)` Notifies the view part that it should explore new data.
`javax.swing.Action` | `getAction()` Return action that contains information about the view part (display name, icon, etc).
`javax.swing.Action[]` | `getActions()` pending: stub.
`Document` | `getDocument()` Returns document that is edited.
`com.beanexplorer.beans.DynamicPropertySet` | `getEditors()`
`boolean` | `getHideInappropriateTabs()`
`java.lang.Object` | `getModel()`
`float` | `getPriority(ViewPart viewPart)`
`javax.swing.JComponent` | `getView()` Returns the view.
`protected void` | `insertView(ViewPart viewPart)`
`void` | `setEditors(com.beanexplorer.beans.DynamicPropertySet dps)`
`void` | `setHideInappropriateTabs(boolean hideInappropriateTabs)`
`void` | `startTransaction(com.beanexplorer.undo.TransactionEvent te)`
`void` | `validateTab(ViewPart viewPart)`
`void` | `validateTabs(java.lang.Object model)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyInspector

    protected com.beanexplorer.swing.PropertyInspector propertyInspector

### tabbedPane

    protected EditorsTabbedPane tabbedPane

### editorsInfo

    protected java.util.HashMap editorsInfo

### editors

    protected com.beanexplorer.beans.DynamicPropertySetSupport editors

### action

    protected javax.swing.Action action

### hideInappropriateTabs

    public boolean hideInappropriateTabs

### views

    protected java.util.ArrayList views

Constructor Detail

### EditorsManager

    public EditorsManager(EditorsTabbedPane tabbedPane)

Method Detail

### getEditors

    public com.beanexplorer.beans.DynamicPropertySet getEditors()

### setEditors

    public void setEditors(com.beanexplorer.beans.DynamicPropertySet dps)

### addDynamicProperty

    protected void addDynamicProperty(int index,
                                      ViewPart viewPart)

### getView

    public javax.swing.JComponent getView()

  Description copied from interface: `ViewPart`
  Returns the view.

  Specified by:
    `getView` in interface `ViewPart`

### getAction

    public javax.swing.Action getAction()

  Description copied from interface: `ViewPart`
  Return action that contains information about the view part (display name, icon, etc).

  Specified by:
    `getAction` in interface `ViewPart`

### getModel

    public java.lang.Object getModel()

  Specified by:
    `getModel` in interface `ViewPart`

### getDocument

    public Document getDocument()

  Description copied from interface: `ViewPart`
  Returns document that is edited.

  Specified by:
    `getDocument` in interface `ViewPart`

### getActions

    public javax.swing.Action[] getActions()

  pending: stub.

  Specified by:
    `getActions` in interface `ViewPart`

### canExplore

    public boolean canExplore(java.lang.Object model)

  Specified by:
    `canExplore` in interface `ViewPart`

### explore

    public void explore(java.lang.Object model,
                        Document document)

  Description copied from interface: `ViewPart`
  Notifies the view part that it should explore new data.

  Specified by:
    `explore` in interface `ViewPart`

### getHideInappropriateTabs

    public boolean getHideInappropriateTabs()

### setHideInappropriateTabs

    public void setHideInappropriateTabs(boolean hideInappropriateTabs)

### addViewPart

    public void addViewPart(ViewPart viewPart)

### validateTabs

    public void validateTabs(java.lang.Object model)

### validateTab

    public void validateTab(ViewPart viewPart)

### insertView

    protected void insertView(ViewPart viewPart)

### getPriority

    public float getPriority(ViewPart viewPart)

### startTransaction

    public void startTransaction(com.beanexplorer.undo.TransactionEvent te)

  Specified by:
    `startTransaction` in interface `com.beanexplorer.undo.TransactionListener`

### addEdit

    public boolean addEdit(javax.swing.undo.UndoableEdit ue)

  Specified by:
    `addEdit` in interface `com.beanexplorer.undo.TransactionListener`

### completeTransaction

    public void completeTransaction()

  Specified by:
    `completeTransaction` in interface `com.beanexplorer.undo.TransactionListener`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.